## EntangleImageHistogram EntangleImageHistogram |

## Functions

EntangleImageHistogram * | entangle_image_histogram_new ()
void | entangle_image_histogram_set_image ()
EntangleImage * | entangle_image_histogram_get_image ()
void | entangle_image_histogram_set_histogram_linear ()
gboolean | entangle_image_histogram_get_histogram_linear ()

## Properties

EntangleImage * | image | Read / Write

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkDrawingArea
                    ╰── EntangleImageHistogram

## Description

## Functions

### entangle_image_histogram_new ()

    EntangleImageHistogram *
    entangle_image_histogram_new (void);

### entangle_image_histogram_set_image ()

    void
    entangle_image_histogram_set_image (EntangleImageHistogram *histogram,
                                        EntangleImage *image);

Set the image to display the histogram for

#### Parameters

histogram | the histogram widget. | [transfer none]
image | the image to display histogram for, or NULL. | [transfer none][allow-none]

### entangle_image_histogram_get_image ()

    EntangleImage *
    entangle_image_histogram_get_image (EntangleImageHistogram *histogram);

Retrieve the image that the histogram is displayed for

#### Parameters

histogram | the histogram widget. | [transfer none]

#### Returns

the image displayed.

[transfer none]

### entangle_image_histogram_set_histogram_linear ()

    void
    entangle_image_histogram_set_histogram_linear
                                   (EntangleImageHistogram *histogram,
                                    gboolean linear);

### entangle_image_histogram_get_histogram_linear ()

    gboolean
    entangle_image_histogram_get_histogram_linear
                                   (EntangleImageHistogram *histogram);

## Types and Values

## Property Details

### The `“image”` property

      “image”                    EntangleImage *

Image to be histogramed.

Flags: Read / Write